/* General Reset and Font Setup */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Inter", sans-serif;
  color: #fff;
  background-color: #1f1919;
  /* Light background color */
  display: flex;
  flex-direction: column;
  align-items: center;
  font-weight: 400;
  min-height: 100vh;
}

h2 {
  opacity: 0 !important;
  height: 0 !important;
  width: 0 !important;
}

.logo {
  width: 130px;
  height: auto;
  margin-top: 10px;
}

/* Hero Section */

.hero-title {
  font-family: "Frank Ruhl Libre", serif;
  font-size: 48px;
  line-height: 48px;
  font-weight: 900;
  color: #FFFFFF;
    max-width: 370px;
  width: 100%;
}



.hero {
  text-align: center;
  background-color: #1f1919;
  padding: 30px 20px 0px 20px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
}

.hero .container {
  max-width: 1100px;
  background-image: url(img/hero-bg.png);
  background-size: cover;
  background-position: left center;
  width: 100%;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  align-content: center;
  align-items: center;
  padding: 10px 20px 20px 20px;
}

.hero-sub-container {
  display: flex;
  justify-content: space-between;
  max-width: 720px;
  width: 100%;
  align-items: center;
}

.hero-left-container {
  width: 57%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 20px;
  z-index: 9;
}

.offer-container {
  width: 43%;
  background-color: #1f1919;
  padding: 20px 24px 30px 24px;
  z-index: 9;
}

.black-friday-title {
  font-family: "Inter", sans-serif;
  text-transform: uppercase;
  font-size: 28px;
  font-weight: 500;
  color: #ebab26;
  letter-spacing: 17px;
  text-align: left;
}

.price-title {
  width: 100%;
}

.offre-desc {
  font-family: "Inter", sans-serif;
  text-transform: uppercase;
  font-size: 32px;
  line-height: 43px;
  font-weight: 500;
  color: #ebab26;
  text-align: left;
}

.offre-title {
  font-family: "Inter", sans-serif;
  font-size: 18px;
  line-height: 23px;
  font-weight: 600;
  color: #fff;
  text-align: center;
  margin-bottom: 14px;
}



.price {
  font-family: "Inter", sans-serif;
  font-size: 45px;
  line-height: 45px;
  font-weight: 700;
  color: #fff;
  text-align: center;
}

.price span {
  font-size: 32px;
  line-height: 32px;
}

.discount-price {
  font-family: "Inter", sans-serif;
  font-size: 15px;
  font-weight: 500;
  line-height: 24px;
  letter-spacing: 3px;
  text-transform: uppercase;
  color: #fff;
  text-align: center;
}

.sub-offer-container {
  padding: 20px 32px 24px;
  background: #fff;
  border-radius: 0px 0px 12px 12px;
}

.offer-container ul {
  font-family: "Inter", sans-serif;
  font-size: 14px;
  line-height: 17px;
  color: #fff;
  text-align: left;
  list-style: none;
  padding-left: 34px;
  margin-top: 24px;
}

.offer-container ul li {
  position: relative;
}

.offer-container ul li:before {
  content: "";
  height: 24px;
  width: 24px;
  position: absolute;
  background-size: contain;
  background-repeat: no-repeat;
  left: -34px;
  top: 50%;
  transform: translateY(-50%);
  background-image: url(img/check-icon.png);
}

.offer-container ul li:not(:last-child) {
  margin-bottom: 14px;
}

.subscribe-button {
  font-size: 16px;
  padding: 14px;
  background-color: #f2c94c;
  color: #695106;
  font-family: "Inter", sans-serif;
  border: none;
  font-weight: 500;
  width: 100%;
  max-width: 425px;
  border-radius: 8px;
  cursor: pointer;
  transition: background-color 0.3s;
  margin-top: 10px;
  text-decoration: none;
  display: block;
}

.subscribe-button:hover {
  background-color: #ffd450;
}

.sans-engagement {
  font-family: "Arial", sans-serif;
  font-size: 12px;
  line-height: 14px;
  font-weight: 400;
  color: #767676;
  margin-top: 8px;
  text-align: center;
}

/* Features Section */

.feature-navigation {
  position: absolute;
  bottom: 34px;
  right: 34px;
  background-color: rgba(255, 255, 255, 0.25);
  border-radius: 30px;
  padding: 6px 8px;
  display: flex;
  align-items: center;
  display: none;
}

#feature-counter {
  font-size: 14px;
  color: #fff;
  font-weight: 500;
  margin: 0px 10px;
  display: block;
  min-width: 24px;
}

.slider-arrow {
  background-color: transparent;
  margin: 0px;
  border: none;
  display: flex;
  align-items: center;
  cursor: pointer;
}

.slider-arrow img {
  width: 8px !important;
  height: auto !important;
}

.next-arrow {
  transform: rotate(-180deg);
}

.next-arrow img {
  margin-bottom: 2px;
}

.features {
  display: flex;
  gap: 40px;
  max-width: 760px;
  margin: 50px 20px;
  align-items: center;
}

.slider-wrapper img {
  max-width: 100%;
  height: 100%;
  width: 100%;
  border-radius: 0px;
}

.feature-text {
  width: 44%;
  display: flex;
  flex-direction: column;
}

.feature-item {
  font-size: 13px;
  color: #fff;
  font-weight: 400;
  padding-left: 12px;
  line-height: 22px;
  cursor: pointer;
  transition: color 0.3s;
  position: relative;
}

.feature-item:not(:last-child) {
  margin-bottom: 16px;
}

.feature-item div {
  font-size: 16px;
  font-weight: 700;
  margin-bottom: 2px;
}

.feature-item.active {
  position: relative;
}

.feature-item.active::before {
  content: "";
  border-left: 3px solid #e30d22;

  padding-left: 9px;
  position: absolute;
  height: 100%;
  width: 3px;
  left: 0px;
}

.feature-item:hover:before {
  border-left: 3px solid #e30d22;

  padding-left: 9px;
}

.slider-wrapper {
  overflow: hidden;
  width: 52%;
  max-width: 600px;
  position: relative;
  border-radius: 0px;
}

.slider {
  display: flex;
  transition: transform 0.3s ease-in-out;
  will-change: transform;
}

.slide {
  width: 100%;
  flex-shrink: 0;
  border-radius: 8px;
}

/* Footer */
.footer {
  background-color: #161616;
  color: #dbdbdb;
  text-align: center;
  padding: 16px 20px;
  width: 100%;
  display: flex;
  justify-content: center;
  margin-top: auto;
}

.footer .container {
  display: flex;
  max-width: 1240px;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
  align-items: center;
}

.footer-logo {
  width: 132px;
  height: auto;
}

.footer p {
  font-size: 14px;
  margin-bottom: 10px;
  max-width: 268px;
  color: #dbdbdb;
}

.footer a {
  color: #b8b8b8;
  text-decoration: underline;
}

.footer a:hover {
  color: white;
}

.social-icons {
  display: flex;
  justify-content: center;
  gap: 40px;
  font-size: 0.9rem;
}

.social-icons a {
  transition: 0.3s;
}

.social-icons a:hover {
  transform: scale(1.2);
}

@media screen and (max-width: 767px) {


  .hero-sub-container {
    flex-direction: column;
  }

  .slider-wrapper {
    width: 100%;
    margin-top: -20px;
  }

  .slide {
    min-height: 250px;
    object-fit: cover;
  }

  .hero h1 {
    font-size: 24px;
    line-height: 24px;
  }

  .hero {
    padding: 24px 20px 0px 20px;
  }

  .features {
    flex-direction: column;
    gap: 24px;
    margin: 20px 20px 40px 20px;
  }

  .features-title span,
  .articles-title span {
    font-size: 24px;
    line-height: 28px;
  }

  .hero-left-container,
  .offer-container {
    width: 100%;
  }

  .hero-title {
    margin-top: 30px;
    margin-bottom: 10px;
  }
  .hero .container {
    gap: 10px;
  }

  .hero-left-container {
    align-items: center;
  }
  .subscribe-button {
    max-width: 100%;
  }

  .price-title {
    max-width: 350px;
  }

  .offre-desc {
    max-width: 350px;
    font-size: 22px;
    line-height: 28px;
  }

  .black-friday-title {
    font-size: 22px;
  }

  .social-icons {
    margin-top: 20px;
  }

  .offer-selection {
    width: 100%;
    max-width: 425px;
  }

  .feature-image,
  .feature-text {
    width: 100%;
    padding: 0px;
  }

  .feature-navigation {
    bottom: 20px;
    right: 20px;
  }

  .footer .container {
    flex-direction: column;
  }

  .footer .container p {
    margin: 20px 0;
  }

  .footer {
    padding: 30px 20px;
  }
}
